import { BaseDataInterface } from "surya-gql-data"

export class MockDB extends BaseDataInterface {
  constructor(container) {
    super(container)
  }

  async connect(connectionString, isProduction) {
    this.log.info(
      `MockDB Connect: ${connectionString} isProduction: ${isProduction}`
    )
    return this
  }

  async disconnect() {
    /** Nothing to do */
  }
}
